Get payment information

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs-nextgenpsd2.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Memo Bank PSD2 MCP server": {
    "url": "https://docs-nextgenpsd2.api.memo.bank/mcp"
  }
}

Close
GET /v1/{payment-service}/{payment-product}/{paymentId}

Headers

  • Signature string

Path parameters

  • payment-service string Required

    Values are payments or bulk-payments.

  • payment-product string Required

    Values are sepa-credit-transfers or instant-sepa-credit-transfers.

  • paymentId string Required

Responses

  • 200 application/json

    OK

    One of:
GET /v1/{payment-service}/{payment-product}/{paymentId}
curl \
 --request GET 'https://api.memo.bank/nextgenpsd2/v1/{payment-service}/{payment-product}/{paymentId}' \
 --header "Signature: $SIGNATURE"
Response examples (200)
{
  "debtorAccount": {
    "iban": "string",
    "maskedPan": "string",
    "currency": "string",
    "cashAccountType": "string"
  },
  "instructedAmount": {
    "currency": "string",
    "amount": "string"
  },
  "creditorAccount": {
    "iban": "string",
    "maskedPan": "string",
    "currency": "string",
    "cashAccountType": "string"
  },
  "creditorName": "string",
  "endToEndIdentification": "string",
  "remittanceInformationUnstructured": "string",
  "requestedExecutionDate": "2026-05-04",
  "transactionStatus": "ACSC"
}
{
  "debtorAccount": {
    "iban": "string",
    "maskedPan": "string",
    "currency": "string",
    "cashAccountType": "string"
  },
  "payments": [
    {
      "instructedAmount": {
        "currency": "string",
        "amount": "string"
      },
      "creditorAccount": {
        "iban": "string",
        "maskedPan": "string",
        "currency": "string",
        "cashAccountType": "string"
      },
      "creditorName": "string",
      "endToEndIdentification": "string",
      "creditorAddress": {
        "country": "string",
        "streetName": "string",
        "townName": "string",
        "postCode": "string"
      },
      "remittanceInformationUnstructured": "string"
    }
  ],
  "requestedExecutionDate": "2026-05-04",
  "transactionStatus": "ACSC"
}